Page MenuHomePhabricator

Create a guided tour about StructuredDiscussions
Closed, ResolvedPublic

Description

Note, we do have one now (flowOptIn), focused on the opt-in Beta Feature. There is still more functionality, which could be covered either in one large tour, or other small-ish ones focused on various use cases.

  • Check the current guided tour (T112757#1933824) and get the link to display it for users who request it (by a button, a link on documentation)
  • If needed, create an extended guided tour with more functions

Event Timeline

DannyH triaged this task as Normal priority.Sep 16 2015, 11:05 PM
DannyH moved this task from Untriaged to Flow Holding Area on the Collaboration-Team-Triage board.
Trizek-WMF changed the task status from Open to Stalled.Dec 15 2015, 6:28 PM

When moving tasks to Stalled, please note why. It doesn't just mean that we're not currently working on it.

In T112757#1883243, @Mattflaschen wrote:

When moving tasks to Stalled, please note why. It doesn't just mean that we're not currently working on it.

Yes, indeed.
The question here is to know if it is still relevant to have a guided tour.

DannyH set Security to None.Dec 16 2015, 5:38 PM
DannyH removed a subscriber: DannyH.
Mattflaschen-WMF changed the task status from Stalled to Open.Dec 17 2015, 1:13 AM

Yes, I think so.

Trizek-WMF raised the priority of this task from Normal to High.Jan 12 2016, 5:26 PM
Trizek-WMF updated the task description. (Show Details)

@Mattflaschen, can you give me the link to the current existing guided tour? Thanks!

https://www.mediawiki.org/wiki/User_talk:Greg_%28WMF%29?tour=flowOptIn

There is special handling if there is a link to a pre-Flow archive page with a CSS class (as provided by the standard template). That case has the template. However, it will work without that class, just skipping a step.

Thank you!
This tour is really minimalist. I'll try to think about a more developed tour for experimented users who don't understand Flow.

Trizek-WMF updated the task description. (Show Details)Jan 14 2016, 6:00 PM
Trizek-WMF lowered the priority of this task from Normal to Low.Mar 23 2016, 11:40 AM
Trizek-WMF lowered the priority of this task from Normal to Low.Apr 25 2016, 3:24 PM
Trizek-WMF removed Trizek-WMF as the assignee of this task.Sep 28 2016, 8:18 AM

Nope.
I think it can be an interesting and trivial project for a Hackathon, for someone who wish to discover how Guidedtour works.

Removing myself.

Mattflaschen-WMF updated the task description. (Show Details)
Elitre added a subscriber: Elitre.

This isn't really a request for support.

Deskana renamed this task from Create a guided tour about Flow to VisualEditor.Aug 30 2018, 1:32 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 30 2018, 1:32 PM
Deskana renamed this task from VisualEditor to Create a guided tour about Flow.Aug 30 2018, 1:33 PM
SBisson added a subscriber: SBisson.Sep 7 2018, 3:41 PM

Is a more comprehensive guided tour for Flow still needed?

I still see people complaining because it is unclear how to reply, how to get wikitext...

Elitre added a comment.Oct 8 2018, 9:14 AM

Is a more comprehensive guided tour for Flow still needed?

Would this be a good task for GCI and similar initiatives perhaps?

Qgil removed a subscriber: Qgil.Oct 8 2018, 2:01 PM

Would this be a good task for GCI and similar initiatives perhaps?

Someone would need to provide clear steps and instructions what a complete newcomer would have to do here.

Someone would need to provide clear steps and instructions what a complete newcomer would have to do here.

Claiming as an if-I've-time task.

Trizek-WMF moved this task from Backlog to Started on the CommRel-Documentation board.EditedNov 5 2018, 4:41 PM

All those tours are displayed once for the user (or the IP's current session).

Talk page

Triggered when someone accesses a talk page using StructuredDiscussions (SD) the first time.

1

Title: This page uses StructuredDiscussions and gathers discussions. Let's take a tour?
Body text: This quick tour will show you how to use that StructuredDiscussions page the best
Buttons:

  1. "Skip" - closes the tour
  2. "Discover some features" (main) - goes to #2

Location: centered modal

2

Title: On a discussion page, you can create a new topic
Body text: People who watch the page will get a notification about your new topic.
Buttons:

  • "Next", goes to 3 if available.
  • "Closing button if not available.

Location: the "Create a new topic" field.

3

Triggered if the page is not empty.
Title: This page lists some topics
Body text: You can read all topics and reply to any comments made here.
Buttons: "How to access a topic page" - goes to #4
Location: First topic title.

4

Triggered if the page is not empty.
Title: You can access separate topics
Body text: If you
Buttons: "Click on Permalink to access a topic" - goes to "Topic page" tour (below)
Location: Opens the three-dots menu on the first topic title section.


Topic page

Triggered when someone accesses a topic page using StructuredDiscussions (SD) the first time.

1

Title: This page is StructuredDiscussions topic. Let's take a tour?
Body text: This quick tour will show you how to use that topic page the best
Buttons:

  1. "Skip" - closes the tour
  2. "Discover some features" (main) - goes to #2

Location: centered modal

2

Title: You are on a topic page, where a conversation happen
Body text: You can read any comments and reply to them, following the topic of that page
Buttons: "How to reply?" - goes to #3
Location: Topic title.

3

Title: Reply to the whole conversation
Body text: You can reply to the whole conversation by clicking on the "Reply to" field.
Buttons: "How to reply to a specific comment?" - goes to #4
Location: The "Reply to" field at the bottom of the conversation. The tour must show that field (autoscroll).

4

Title: You can reply to any message
Body text: If you click on "reply" here, you will post a direct reply to this message. This message will be indented.
Buttons: "How to watch topics?" - goes to #5
Location: The first comment "reply" button.

5

Title: You can monitor that conversation
Body text: Like any other page, you can monitor the activity here. Click on the star, and you will get notifications when someone replies.
Buttons: "Next", goes to #6

6

Title: Now you know the most important points
Body text: Those commands applies to any topic taken separately, or gathered on a talk page.

  1. Closing button (main)
  2. "Open help page" - goes to https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Structured_Discussions

Location: The link path under the page title


First access to editing mode

Triggered when someone clicks on any reply option OR creates a new topic.
Title: You prefer wikitext or visual editing?
Body text: You can switch between editors by using this menu. The last editor you used when you leave a message will be the one used next time.
Location: the VE/wikitext toogle button
Command: Closing button


When a reply has been posted

Triggered when a reply has been posted.
Title: You can edit your reply
Body text: The ... menu will give you tools to edit or create a direct link to your post.
Location: the three-dots menu
Command: Closing button

Trizek-WMF renamed this task from Create a guided tour about Flow to Create a guided tour about StructuredDiscussions.Nov 7 2018, 1:38 PM

@Trizek-WMF: For GCI this would need steps for a contributor what's expected, where and how...
As a start, where's docs? Am I supposed to read https://www.mediawiki.org/wiki/Extension:GuidedTour#Technical_documentation ?

@Aklapper, at the moment @SBisson will review the task to see if we create multiple sub tasks or go for one big. When done, we will create the appropriate GCI task(s) with pointers to the relevant docs.

(@Trizek-WMF: Just a heads-up: Being able to claim tasks in Google-Code-in-2018 is still possible for another two weeks.)

@SBisson , did you had the opportunity to review the tours?

@SBisson , did you had the opportunity to review the tours?

He has and this is why 4 different tasks for tours have been created.

Trizek-WMF closed this task as Resolved.Jan 18 2019, 4:03 PM

Since the 4 tours have been created and are ready for pickup, I can close that definition task.